Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class BroadPhase

    java.lang.Object
      org.jbox2d.collision.BroadPhase

    public class BroadPhase

extends java.lang.Object

Field Summary
`static int` | `INVALID`
`Bound[][]` | `m_bounds`
`PairManager` | `m_pairManager`
`int` | `m_proxyCount`
`Proxy[]` | `m_proxyPool`
`Vec2` | `m_quantizationFactor`
`AABB` | `m_worldAABB`
`static int` | `NULL_EDGE`
`static boolean` | `s_validate`

Constructor Summary
`BroadPhase(AABB worldAABB, PairCallback callback)`

Method Summary
`void` | `commit()`
`void` | `destroyProxy(int proxyId)`
`Proxy` | `getProxy(int proxyId)`
`boolean` | `inRange(AABB aabb)`
`java.lang.Object[]` | `query(AABB aabb, int maxCount)`
`protected boolean` | `testOverlap(Proxy p1, Proxy p2)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### NULL_EDGE

    public static final int NULL_EDGE

See Also:
  Constant Field Values

### m_pairManager

    public PairManager m_pairManager

### m_proxyPool

    public Proxy[] m_proxyPool

### m_bounds

    public Bound[][] m_bounds

### m_worldAABB

    public AABB m_worldAABB

### m_quantizationFactor

    public Vec2 m_quantizationFactor

### m_proxyCount

    public int m_proxyCount

### s_validate

    public static final boolean s_validate

See Also:
  Constant Field Values

Constructor Detail

### BroadPhase

    public BroadPhase(AABB worldAABB,
                      PairCallback callback)

Method Detail

### testOverlap

    protected boolean testOverlap(Proxy p1,
                                  Proxy p2)

### getProxy

    public Proxy getProxy(int proxyId)

### destroyProxy

    public void destroyProxy(int proxyId)

### commit

    public void commit()

### query

    public java.lang.Object[] query(AABB aabb,
                                    int maxCount)

### validate

    public void validate()

### inRange

    public boolean inRange(AABB aabb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD